# NOTE:
# - don't even try to compile it from source. It requires compiler from
#   java-sun = 1.5 AND rt.jar from java-sun-jre = 1.6
%include	/usr/lib/rpm/macros.java
Summary:	MySQL Connector/J - JDBC driver for MySQL
Summary(pl.UTF-8):	MySQL Connector/J - sterownik JDBC dla MySQL-a
Name:		java-jdbc-mysql
Version:	5.1.30
Release:	1
License:	GPL v2+ + MySQL FLOSS Exception
Group:		Libraries/Java
Source0:	http://dev.mysql.com/get/Downloads/Connector-J/mysql-connector-java-%{version}.tar.gz
# Source0-md5:	14f0c0ef505363456e9d4af7a425d14b
URL:		http://www.mysql.com/products/connector/j/
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Obsoletes:	mysql-connector-j
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL Connector/J is a native Java driver that converts JDBC (Java
Database Connectivity) calls into the network protocol used by the
MySQL database. It lets developers working with the Java programming
language easily build programs and applets that interact with MySQL
and connect all corporate data, even in a heterogeneous environment.
MySQL Connector/J is a Type IV JDBC driver and has a complete JDBC
feature set that supports the capabilities of MySQL.

MySQL Connector/J is the official JDBC driver for MySQL.

%description -l pl.UTF-8
MySQL Connector/J to natywny sterownik Javy konwertujący wywołania
JDBC (Java Database Connectivity) na protokół sieciowy używany przez
bazę danych MySQL. Pozwala programistom pracować z użyciem języka
programowania Java łatwo tworząc programy i aplety współpracujące z
MySQL-em i łączyć wszystkie zbiorcze dane, nawet w środowisku
heterogenicznym. MySQL Connector/J jest sterownikiem JDBC typu IV i ma
pełny zbiór możliwości JDBC obsługujący MySQL-a.

MySQL Connector/J to oficjalny sterownik JDBC dla MySQL-a.

%package doc
Summary:	Documentation for MySQL Connector/J
Summary(pl.UTF-8):	Dokumentacja dla MySQL Connector/J
Group:		Documentation
Obsoletes:	mysql-connector-j

%description doc
Documentation for MySQL Connector/J.

%description doc -l pl.UTF-8
Dokumentacja dla MySQL Connector/J.

%prep
%setup -q -n mysql-connector-java-%{version}
rm docs/README.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -p mysql-connector-java-%{version}-bin.jar \
	$RPM_BUILD_ROOT%{_javadir}/mysql-connector-java-%{version}.jar
ln -s mysql-connector-java-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/mysql-connector-java.jar
ln -s mysql-connector-java-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jdbc-mysql.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{_javadir}/*.jar

%files doc
%defattr(644,root,root,755)
%doc docs/*
%changelog
* Fri Jul 11 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-jdbc-mysql.git;a=log;h=master

* Thu Apr 10 2014 Elan Ruusamäe <glen@delfi.ee> 80a2438
- up to 5.1.30

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> dfb9f9d
- avoid self-obsoletes; drop old provides

* Wed Dec 28 2011 Elan Ruusamäe <glen@pld-linux.org> ee3d980
- up to 5.1.18

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> d8d532b
- use %{version} in SourceX

* Tue Apr 14 2009 pawelz <pawelz@pld-linux.org> b45d4a7
- create jdbc-mysql.jar as symlink
- rel 2

* Tue Apr 14 2009 pawelz <pawelz@pld-linux.org> 72c87a0
- fixed last commit log (it was rel 1)

* Tue Apr 14 2009 pawelz <pawelz@pld-linux.org> d9d3b27
- use binary package. It is impossible to build it on builders (see NOTE)
- rel 1

* Tue Apr 14 2009 pawelz <pawelz@pld-linux.org> 0670a6e
- renamed to java-jdbc-mysql (cvsadmin: please,
  cp -i mysql-connector-j.spec,v java-jdbc-mysql.spec,v )
- up to 5.1.7

* Wed Dec 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1bb98b6
- unify java package; rel 2

* Tue Oct 09 2007 Elan Ruusamäe <glen@pld-linux.org> 56fc26f
- update to 5.0.8

* Wed May 16 2007 Elan Ruusamäe <glen@pld-linux.org> 73209da
- update to 5.0.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5c0351d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bde3f1d
- converted to UTF-8

* Sat Oct 21 2006 Elan Ruusamäe <glen@pld-linux.org> f5b865e
- 5.0.4

* Tue Sep 19 2006 Elan Ruusamäe <glen@pld-linux.org> 0a92c5b
- rel 1

* Tue Sep 19 2006 Elan Ruusamäe <glen@pld-linux.org> 17977bd
- build package

* Fri Sep 08 2006 Elan Ruusamäe <glen@pld-linux.org> 71783d1
- 3.1.13 (still needs finishing)

* Fri Aug 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 69e8a81
- pl

* Mon Aug 22 2005 Elan Ruusamäe <glen@pld-linux.org> 6cb9080
- adapterized, no extra subdir on -doc package

* Mon Aug 22 2005 Elan Ruusamäe <glen@pld-linux.org> 328e796
- updated description

